<template>
  <div>
    <v-list-item>
      <v-list-item-content>
        <v-list-item-title class="title">
            Route List
        </v-list-item-title>
      </v-list-item-content>
    </v-list-item>

    <v-divider></v-divider>

    <v-list-item-group v-if="show_current">
      <v-list-item
      @click="sendReturnToCurrentRouteEvent">
        <v-list-item-content>
          <p style="text-align:center"><b>Return to current route</b></p>
        </v-list-item-content>
      </v-list-item>
    </v-list-item-group>

    <v-expansion-panels focusable>
      <v-expansion-panel
        v-bind:key="index"
        v-for="(route_data, index) in route_data_list"
        @click="sendLoadRouteEvent(index)"
      >
        <v-expansion-panel-header>
          {{route_data.route.name}}
        </v-expansion-panel-header>
        <v-expansion-panel-content>
          <v-row>
              Id: {{route_data.id}}
          </v-row>
        </v-expansion-panel-content>
      </v-expansion-panel>
    </v-expansion-panels>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import RouteData from "@/components/RoutesManagement";

@Component({})
export default class RouteListAppBar extends Vue {
  @Prop() route_data_list!: RouteData[];

  @Prop({ default: false }) show_current!: boolean;

  sendLoadRouteEvent(index: number) {
    this.$emit('route-clicked', index);
  }

  sendReturnToCurrentRouteEvent() {
    this.$emit('return-to-current-route');
  }
}
</script>

<style scoped>
</style>
